收藏
回答

关于支持js es6 proxy问题

在小程序中测试使用了js es6 proxy的语法实现了部分功能

这段代码在小程序的模拟器和真机调试的时候都是可行的,不论是安卓还是ios

但文档中明确说明了不支持js proxy,是因为发布之后和真机调试的结果不一样么

导致我现在不确定究竟是否可以使用es6的proxy

代码:

回答关注问题邀请回答
收藏

2 个回答

  • Albert Einstein
    Albert Einstein
    2018-08-03

    某些机型或系统不支持 Proxy,如果需要兼容性,建议使用 proxy polyfill 或者别的方案代替。

    2018-08-03
    赞同
    回复 1
    • Mr.蓝色
      Mr.蓝色
      2018-08-06

      十分感谢

      2018-08-06
      回复
  • 好命先生
    好命先生
    2018-11-13

    polyfill使用后,是否需要关闭es6转es5开关,调试机上引用了polyfill一直报语法错误

    2018-11-13
    赞同
    回复
登录 后发表内容